package gov.va.med.esr.common.model.person;

import gov.va.med.fw.model.AbstractKeyedEntity;

public class VOAApplicationData extends AbstractKeyedEntity {

	private static final long serialVersionUID = 7677666807658759275L;

	private String applicationData = null;

	private VOAApplication voaApplication = null;

	public String getApplicationData() {
		return applicationData;
	}

	public void setApplicationData(String applicationData) {
		this.applicationData = applicationData;
	}

	public VOAApplication getVoaApplication() {
		return voaApplication;
	}

	public void setVoaApplication(VOAApplication voaApplication) {
	    validateOwner(this.voaApplication, voaApplication);
		this.voaApplication = voaApplication;
	}

}
